Skip to content
GET /property-details

Get property details

Description

Get detailed information about a specific property by ID.

Parameters

Name Type Required Description Example
property_id string Required - Property ID to fetch details for - Example: `15825613` 15825613

Code Examples

curl --request GET \
  --url 'https://propertyfinder-uae-data.p.rapidapi.com/property-details?property_id=15825613' \
  --header 'x-rapidapi-host: propertyfinder-uae-data.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'

Example Response

Response
{
  "success": true,
  "data": {
    "property_id": "16266089",
    "property_type": "Apartment",
    "price": {
      "value": 20000,
      "currency": "AED",
      "period": "monthly",
      "is_hidden": false
    },
    "address": {
      "full_name": "Marina Tower, Dubai Marina, Dubai",
      "coordinates": {
        "lat": 25.0837707519531,
        "lon": 55.145076751709
      }
    },
    "images": [
      "https://static.shared.propertyfinder.ae/media/images/listing/APY6G1E8KBFYKHWEKPD6PWYNJ4/2aee8d5d-303a-426f-b17c-c6241bcffc7f/416x272.jpg"
    ],
    "agent_details": {
      "id": "365444",
      "name": "Sharie Ann Delizo"
    },
    "broker_id": "9676",
    "bedrooms": "1",
    "bathrooms": "2",
    "size": {
      "value": 768,
      "unit": "sqft"
    },
    "floor_plan_area": 768,
    "title": "Elegant Escapes - 1B in Marina, Partial Sea View",
    "property_url": "https://www.propertyfinder.ae/en/plp/rent/apartment-for-rent-dubai-dubai-marina-marina-tower-16266089.html"
  }
}

Try this endpoint now

Subscribe to PropertyfinderAPI on RapidAPI and start making requests in minutes.